SSLSrvConfigRec Struct Reference
module AP_MODULE_DECLARE_DATA

`#include <canl_mod_ssl-private.h>`

## Data Fields

void * | mc
BOOL | enabled
BOOL | proxy_enabled
const char * | vhost_id
int | vhost_id_len
int | session_cache_timeout
BOOL | cipher_server_pref
modssl_ctx_t * | server
modssl_ctx_t * | proxy

## Field Documentation

## cipher_server_pref

BOOL SSLSrvConfigRec::cipher_server_pref

## enabled

BOOL SSLSrvConfigRec::enabled

## mc

void* SSLSrvConfigRec::mc

## proxy

modssl_ctx_t* SSLSrvConfigRec::proxy

## proxy_enabled

BOOL SSLSrvConfigRec::proxy_enabled

## server

modssl_ctx_t* SSLSrvConfigRec::server

## session_cache_timeout

int SSLSrvConfigRec::session_cache_timeout

## vhost_id

const char* SSLSrvConfigRec::vhost_id

## vhost_id_len

int SSLSrvConfigRec::vhost_id_len